%global upstream_name glance_store

%{!?upstream_version: %global upstream_version %{version}%{?milestone}}

Name:           python-glance-store
Version:        0.9.1
Release:        4%{?dist}
Summary:        OpenStack Image Service Store Library

License:        ASL 2.0
URL:            https://github.com/openstack/%{upstream_name}
Source0:        https://pypi.python.org/packages/source/g/%{upstream_name}/%{upstream_name}-%{version}.tar.gz

# patches_base=+5
Patch0001: 0001-Swift-store-do-not-send-a-0-byte-chunk.patch
Patch0002: 0002-Change-Swift-zero-size-chunk-behaviour.patch
Patch0003: 0003-rbd-clean-up-unused-parents-of-clones-on-deletion.patch
Patch0004: 0004-rbd-driver-cannot-delete-residual-image-from-ceph-in.patch

BuildArch:      noarch
BuildRequires:  python2-devel
BuildRequires:  python-setuptools
BuildRequires:  python-pbr
Requires:       python-eventlet
Requires:       python-cinderclient >= 1.0.6
Requires:       python-iso8601
Requires:       python-six >= 1.9.0
Requires:       python-stevedore
Requires:       python-oslo-concurrency
Requires:       python-oslo-config
Requires:       python-oslo-i18n
Requires:       python-oslo-serialization
Requires:       python-oslo-utils
Requires:       python-enum34
Requires:       python-jsonschema


%description
OpenStack image service store library


%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%patch0001 -p1
%patch0002 -p1
%patch0003 -p1
%patch0004 -p1

%build
%{__python2} setup.py build


%install
%{__python2} setup.py install -O1 --skip-build --root %{buildroot}


%files
%doc AUTHORS ChangeLog
%{!?_licensedir:%global license %%doc}
%license LICENSE
%{python2_sitelib}/%{upstream_name}
%{python2_sitelib}/%{upstream_name}-*.egg-info


%changelog
* Tue Sep 19 2017 Cyril Roelandt <cyril@redhat.com> - 0.9.1-4
- rbd driver cannot delete residual image from ceph in some cases

* Fri Apr 01 2016 Lee Yarwood <lyarwood@redhat.com> 0.9.1-3
- rbd: clean up unused parents of clones on deletion

* Thu Mar 10 2016 Flavio Percoco <flavio@redhat.com> - 0.9.1-2
- rhbz#1284845
- Update patches

* Wed Sep 30 2015 Haikel Guemar <hguemar@fedoraproject.org> - 0.9.1-1
- Update to upstream 0.9.1

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Tue Dec 23 2014 Haïkel Guémar <hguemar@fedoraproject.org> - 0.1.10-2
- Missing requirements to python-oslo-serialization (RHBZ #1175419)

* Thu Dec 04 2014 Haïkel Guémar <hguemar@fedoraproject.org> - 0.1.10-1
- Upstream 0.1.10 (RHBZ #1169145)

* Fri Sep 12 2014 Haïkel Guémar <hguemar@fedoraproject.org> - 0.1.8-1
- Initial package
